import { request } from '../libs/request.js'
/**
 * 获取分页任务列表
 * @param {Object} data
 */
export function getCheckTaskByPage(data) {
	return request({
		url: '/check/task/page',
		header: {
			'content-type': "application/x-www-form-urlencoded"
		},
		data
	})
}
/**
 * 通过id获取详情
 * @param id
 */
export function getTaskDetailById(id) {
	return request({
		url: '/check/task/view/'+id
	})
}
/**
 * 通过id进行任务的处理操作
 * @param id
 */
export function manageTaskById(id) {
	return request({
		url: '/check/task/handle/'+id,
		method: 'PUT'
	})
}

/**
 * Transfer CheckTask
 * 转交任务
 * @param data
 * @returns {AxiosPromise}
 */
export function transferCheckTask(data) {
  return request({
    url: `/check/task/transfer`,
    method: 'PUT',
    data
  })
}

/**
 * Cancel CheckTask
 *  取消任务
 * @param data
 * @returns {AxiosPromise}
 */
export function cancelCheckTask(checkTaskId) {
  return request({
    url: `/check/task/cancel/${checkTaskId}`,
    method: 'PUT'
  })
}

/**
 * Complete CheckTask
 * @param data
 * @returns {AxiosPromise}
 *  完成任务
 */
export function completeCheckTask(checkTaskId) {
  return request({
    url: `/check/task/complete/${checkTaskId}`,
    method: 'PUT'
  })
}
/**
 * 批量更新CheckTaskDoing Item
 * @param data
 * @returns {AxiosPromise}
 */
export function batchUpdateCheckTaskDoingItem(taskId, checkResult) {
  return request({
    url: `/check/task/doing/item/batchUpdate/${taskId}/${checkResult}`,
    method: 'PUT'
  })
}
